Subject: Re: bug#48082: “guix environment -l” does not work with inferior packages

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 01 Aug 2021 18:07:55 +0200

Brice Waegeneire <[email-masked]> writes:

> Hello Ricardo,
>
> Ricardo Wurmus <[email-masked]> writes:
>
>> I wanted to use an environment file that contains a package 
>> definition, and use it with inferiors.  Here is the full 
>> guix.scm:
>>
>> [...]
>>
>> The idea was that you would use the provided channels with
>>
>>     USE_GUIX_INFERIOR=t guix environment -l guix.scm
>>
>> Unfortunately, this does not work, but there also is no error. 
>> I 
>> end up in an environment where none of the declared inputs are 
>> available.  That’s because (guix scripts environments) has no 
>> facilities to deal with packages that are of type 
>> <inferior-package>.
>
> Unfortunatly the environment file isn't self contained (VERSION 
> and the
> package source are missing), so I couldn't reproduce your issue.

This example was taken from the source code here:

    https://github.com/BIMSBbioinfo/pigx_sarscov2_ww/blob/main/manifest.scm
    https://github.com/BIMSBbioinfo/pigx_sarscov2_ww/blob/main/guix.scm

-- 
Ricardo